=== debian/changelog ===
fasttext (0.9.2-3) unstable; urgency=medium

  * debian/patches/build-python-modules-using-shared-library.patch
    - Fix FTBFS on hurd-i386.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 26 Sep 2020 19:41:39 +0900

fasttext (0.9.2-2) unstable; urgency=medium

  * Refresh patch files with Gbp-Pq:
  * debian/patches/explicitly-link-libatomic.patch
    - Fix undefined reference to __atomic_xxx (armel,mipsel,m68k,powerpc,sh4)

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 12 Sep 2020 22:00:40 +0900

fasttext (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2 (Closes: #941628)

  [ TSUCHIYA Masatoshi ]
  * Initial packaging tasks.
  * debian/0001-Support-shared-libraries-and-multiarch.patch
    - Support shared libraries, multiarch.
  * debian/patches/0002-build-python-modules-using-shared-library.patch
    - Support to build python modules

  [ Kentaro Hayashi ]
  * debian/watch
    - Add missing watch file
  * debian/control
    - Bump compatibility level to 13.
    - Bump Standard-Version to 4.5.0.
    - Follow Debian Science Team policy.
    - Add missing Vcs-* fields.
    - Drop python 2 support.
  * debian/copyright
    - Update to latest copyright.
  * debian/source/lintian-overrides
    - Override false positive lintian error about missing-source.
  * debian/missing-source/*
    - Add missing minified JavaScript source file.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 17 May 2020 09:26:35 +0900
