=== debian/control ===
Source: fasttext
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 TSUCHIYA Masatoshi <tsuchiya@imc.tut.ac.jp>,
 Kentaro Hayashi <kenhys@xdump.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all-dev,
	python3-numpy,
	python3-pybind11 (>= 2.2.4),
	python3-setuptools,
	quilt,
	cmake,
	xsltproc,
	docbook-xsl
Standards-Version: 4.5.0
Homepage: https://github.com/facebookresearch/fastText
Vcs-Browser: https://salsa.debian.org/science-team/fasttext
Vcs-Git: https://salsa.debian.org/science-team/fasttext.git
Rules-Requires-Root: no

Package: fasttext
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Efficient learning of word representations and sentence classification library
 fastText is a library for efficient learning of word representations
 and sentence classification, which refers subword information to
 enrich word vectors.

Package: libfasttext0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library files of fastText
 fastText is a library for efficient learning of word representations
 and sentence classification, which refers subword information to
 enrich word vectors.
 This package contains runtime library files.

Package: libfasttext-dev
Section: libdevel
Architecture: any
Depends: libfasttext0 (= ${binary:Version}), ${misc:Depends}
Description: Header files of fastText
 fastText is a library for efficient learning of word representations
 and sentence classification, which refers subword information to
 enrich word vectors.
 This package contains header files for development.

Package: python3-fasttext
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: fastText binding for Python3
 fastText is a library for efficient learning of word representations
 and sentence classification, which refers subword information to
 enrich word vectors.
 .
 python3-fasttext is its binding for Python3.
