=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_auto_configure: fasttext.1
	dh_auto_configure --buildsystem=cmake
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=cmake
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	dh_auto_install --buildsystem=pybuild
	find $(CURDIR)/debian/tmp -name '*.a' -print0 | xargs -0 rm -f {}\;

override_dh_auto_clean:
	dh_auto_clean --buildsystem=cmake
	-rm -rf fasttext.1
	-rm -rf .pybuild
	-rm -rf python/fasttext_module/fasttext.egg-info
	-rm -rf build
	-rm -rf tmp

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

fasttext.1: debian/fasttext.xml
	$(XP) $(DB2MAN) $<
