=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fasttext-$1.tar.xz%" \
   https://github.com/facebookresearch/fastText/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
