## fasttext 0.9.2%2Bds

=== debian/changelog ===
fasttext (0.9.2+ds-8build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:16:01 +0000

fasttext (0.9.2+ds-8) unstable; urgency=medium

  * Team upload.
  * Do not generate a spurious dependency on python3-pkg-resources
    (Closes: #1083386)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 16:42:46 +0100

fasttext (0.9.2+ds-7) unstable; urgency=medium

  * debian/patches/build-python-modules-using-shared-library.patch
    - Fix import error on armel again. (Closes: #1052037)

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 28 Dec 2023 23:07:06 +0900

fasttext (0.9.2+ds-6) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop unnecessary B-D quilt

  [ Kentaro Hayashi ]
  * debian/patches/explicitly-link-libatomic.patch
    - Fix import error on armel (Closes: #1052037)

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 26 Dec 2023 22:09:23 +0900

fasttext (0.9.2+ds-5) unstable; urgency=medium

  * Team upload
  * Link with libatomic on armel (Closes: #1052037)

 -- Bastian Germann <bage@debian.org>  Wed, 04 Oct 2023 17:39:12 +0200

fasttext (0.9.2+ds-4) unstable; urgency=medium

  * debian/tests/testsuite
    - Fix autopkgtest regression on armel.

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 23 Jun 2023 19:19:36 +0900

fasttext (0.9.2+ds-3) unstable; urgency=medium

  * debian/tests/control
    - Allow logging to stderr for autopkgtest.

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 20 Jun 2023 20:03:50 +0900

fasttext (0.9.2+ds-2) unstable; urgency=medium

  * debian/patches/fix-ftbfs-gcc13.patch
    - Fix FTBFS with GCC-13. (Closes: #1037647)
  * debian/tests
    - Add missing autopkgtest (Closes: #1035197)
  * debian/control
    - Bump Standards-Version to 4.6.2. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 18 Jun 2023 16:37:00 +0900

fasttext (0.9.2+ds-1) unstable; urgency=medium

  * debian/copyright
    - Remove auto-generated website/static/docs/en/html
      with Files-Excluded.
  * debian/watch
    - Apply repack,repacksuffix option to generate archive.
  * debian/control
    - Revert target architectures restriction.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 27 Nov 2022 21:23:53 +0900

fasttext (0.9.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control
    - Remove constraints unnecessary since buster (oldstable)
    - Update standards version to 4.6.1, no changes needed.
    - Apply multi-arch hints.
  * debian/upstream/metadata
    - Set upstream metadata fields: Bug-Database, Bug-Submit,
      Repository-Browse.

  [ Kentaro HAYASHI ]
  * debian/control
    - Update target architectures, Drop kfreebsd-any.

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 17 Nov 2022 22:07:28 +0900
