=== debian/changelog ===
fasttext (0.9.2+ds-9) unstable; urgency=medium

  * debian/watch
    - Update d/watch 5
  * debian/control
    - Bump Standards-Version to 4.7.2. no changes required.
  * debian/patches/fix-ftbfs-cmake4.patch
    - Add patch to fix ftbfs with CMake 4 (Closes: #1112883)

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 04 Sep 2025 20:57:08 +0900
