=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
  TSUCHIYA Masatoshi <tsuchiya@imc.tut.ac.jp>,
  Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends: debhelper-compat (= 13),
-	dh-python,
+	dh-sequence-python3,
 	python3-all-dev,
 	python3-numpy,
-	python3-pybind11 (>= 2.2.4),
+	python3-pybind11,
 	python3-setuptools,
-	quilt,
 	cmake,
 	xsltproc,
 	docbook-xsl
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/facebookresearch/fastText
 Vcs-Browser: https://salsa.debian.org/science-team/fasttext
 Vcs-Git: https://salsa.debian.org/science-team/fasttext.git
@@ -33,6 +32,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Library files of fastText
  fastText is a library for efficient learning of word representations
  and sentence classification, which refers subword information to
