=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
+
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
+export DEB_LDFLAGS_MAINT_APPEND = -latomic
+endif
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -14,7 +19,7 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python3 --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure: fasttext.1
 	dh_auto_configure --buildsystem=cmake
