=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: auto
Owner: facebookresearch
Project: fastText
Repack: yes
Repacksuffix: +ds
Update-Script: uupdate
